#use Appimage
%define minor_version 6391

Name:           openbor
Version:        3.0.%{minor_version}
Release:        %mkrel 1
Summary:        Moddable fighting game engine (aka Beats of Rage)
License:        BSD-3-Clause
Packager:	Agent Smith  <ruidobranco@yahoo.com.br>
Group:          Games/Arcade
URL:            https://github.com/DCurrent/openbor
Source0:        %{name}.png
BuildRequires:	p7zip

%description
OpenBOR is the open source continuation of Beats of Rage, a Streets of
Rage tribute game originally developed by Senile Team. In the years
since it has grown into arguably the single most powerful two
dimensional sprite-based engine in the world and certainly the most
versatile. While intended to allow creation of side scrolling beat 'em
ups like Double Dragon or Final Fight, the engine is also capable of
replicating shoot 'em ups, RPGs, platformers and the like. A built-in
scripting engine allows authors to take it even further, making
imagination the only real limit.

The PAK's for the games made with OpenBor should be placed in /usr/share/openbor/Paks

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/DCurrent/openbor/releases/download/v6391/OpenBOR.v3.0.Build.6391.7z
7z e OpenBOR.v3.0.Build.6391.7z o *.AppImage -r
chmod +x OpenBOR_3.0_6391.AppImage
popd

mkdir -p %{buildroot}%{_datadir}/%{name}
install -Dm 0755 %{_sourcedir}/OpenBOR_3.0_6391.AppImage %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/%{name}/Logs
mkdir -p %{buildroot}%{_datadir}/%{name}/Paks
mkdir -p %{buildroot}%{_datadir}/%{name}/Saves
mkdir -p %{buildroot}%{_datadir}/%{name}/ScreenShots
install -Dm 0644 %SOURCE0 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

#Launcher

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
./OpenBOR_3.0_6391.AppImage
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

#menu for PCLinuxOS
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=OpenBor
Comment=2D Beat'em'up engine
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}


%files
%{_bindir}/%{name}
%attr(777,-,-) %dir %{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png



%changelog

* Tue Mar 14 2023  Agent Smith <ruidobranco@yahoo.com.br> openbor-3.0.6391
- Updated the package openbor-3.0.6391-1pclos2023.rpm, with Appimage.

* Sun May 03 2020  Agent Smith <ruidobranco@yahoo.com.br> openbor-3.0.6384
- Created the package openbor-3.0.6384-1pclos2020.rpm, adapted from a spec from OpenSuse, some sed's from Arch Linux.




